al_ustr_find_replace(3)

NAME

al_ustr_find_replace - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    bool al_ustr_find_replace(ALLEGRO_USTR *us, int start_pos,
       const ALLEGRO_USTR *find, const ALLEGRO_USTR *replace)

DESCRIPTION

Replace all occurrences of find in us with replace, beginning at byte offset start_pos. The find string must be non-empty. Returns true on success, false on error.

SEE ALSO

al_ustr_find_replace_cstr(3)